Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class DeploymentNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--weblogic.management.DeploymentNotification

public final class DeploymentNotification
extends javax.management.Notification

Defines a management notification of deployment events. Application deployment events are sent to associated ApplicationMBeans The event types are as defined by the public fields. To receive deployment notifications, the client application must register a NotificationListener and optionally, NotificationFilter, with the ApplicationMBean that describes the application being deployed.

The notification message sent for application events are String objects of the form: type.server.application. eg weblogic.management.deployment.preparing.myserver.myapp

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTIVATED` The application is activated.
`static java.lang.String` | `ACTIVATING` The application is being activated.
`static java.lang.String` | `DEACTIVATED` The application is deactivated.
`static java.lang.String` | `DEACTIVATING` The application is being deactivated.
`static java.lang.String` | `FAILED` The last operation on the application failed and resulted in the application being placed in a failed state.
`static java.lang.String` | `PREPARED` The application is prepared.
`static java.lang.String` | `PREPARING` The application is being prepared.
`static java.lang.String` | `UNPREPARED` The application is inactive and its classes are not loaded.
`static java.lang.String` | `UNPREPARING` The application classes are being unloaded.

Fields inherited from class javax.management.Notification
`source`

Fields inherited from class java.util.EventObject
`source`

Method Summary
`java.lang.String` | `getAppName()` Idenitifies the application involved in the notification.
`static long` | `getChangeNotificationCount()`
`java.lang.String` | `getServerName()` The server name where the deployment took place.
`boolean` | `isAppNotification()` indicates that this notification is an application level notification, one that reports changes based on the application deployment status.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREPARING

    public static final java.lang.String PREPARING

  The application is being prepared. This notification is sent just prior to the application modules being validated on a managed server by the relevant container subsystems. This is an application level notification.

### PREPARED

    public static final java.lang.String PREPARED

  The application is prepared. This notification is sent after a successful validation of the application modules on a managed server by the relevant container subsystems. This is an application level notification.

### ACTIVATING

    public static final java.lang.String ACTIVATING

  The application is being activated. This notification is sent just prior to the application modules being loaded on a managed server by the relevant container subsystems. This is an application level notification.

### ACTIVATED

    public static final java.lang.String ACTIVATED

  The application is activated. This notification is sent after successfully activating all application modules on a managed server. This is an application level notification.

### DEACTIVATING

    public static final java.lang.String DEACTIVATING

  The application is being deactivated. This notification is sent just prior to the application modules being deactivated (turned off) on a managed server by the relevant container subsystems. This is an application level notification.

### DEACTIVATED

    public static final java.lang.String DEACTIVATED

  The application is deactivated. This notification is sent after successfully deactivating application modules on a managed server by the relevant container subsystems. This is an application level notification.

### UNPREPARING

    public static final java.lang.String UNPREPARING

  The application classes are being unloaded. This notification is sent just prior to the application modules being unloaded on a managed server by the relevant container subsystems. This is an application level notification.

### UNPREPARED

    public static final java.lang.String UNPREPARED

  The application is inactive and its classes are not loaded. This notification is sent after successfully unpreparing application modules on a managed server by the relevant container subsystems. This is an application level notification.

### FAILED

    public static final java.lang.String FAILED

  The last operation on the application failed and resulted in the application being placed in a failed state. This is an application level notification.

Method Detail

### getChangeNotificationCount

    public static long getChangeNotificationCount()

### getAppName

    public java.lang.String getAppName()

  Idenitifies the application involved in the notification.

### getServerName

    public java.lang.String getServerName()

  The server name where the deployment took place.

### isAppNotification

    public boolean isAppNotification()

  indicates that this notification is an application level notification, one that reports changes based on the application deployment status.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference